Skip to main content
POST
/
v1
/
admin
/
relationships
/
customer-signals
Create customer signal
curl --request POST \
  --url https://{operatorDomain}/v1/admin/relationships/customer-signals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "csig_01h...",
  "personId": "<string>",
  "kind": "inquiry",
  "status": "open",
  "payload": {},
  "createdAt": "2023-11-07T05:31:56Z"
}
'
{
  "id": "csig_01h...",
  "personId": "<string>",
  "kind": "inquiry",
  "status": "open",
  "payload": {},
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Body

application/json
id
string
Example:

"csig_01h..."

personId
string | null
kind
string
Example:

"inquiry"

status
string
Example:

"open"

payload
object
createdAt
string<date-time>

Response

201 - application/json

Created signal

id
string
Example:

"csig_01h..."

personId
string | null
kind
string
Example:

"inquiry"

status
string
Example:

"open"

payload
object
createdAt
string<date-time>